package net.wanji.opt.dao.mapper;


import net.wanji.common.framework.mapper.BaseInterfaceMapper;
import net.wanji.databus.po.CrossDataHistPO;
import net.wanji.databus.po.CrossDirDataHistPO;
import net.wanji.opt.entity.GreenwaveHist;

import java.util.List;
import java.util.Map;

/**
* <p>
    * 绿波历史数据
    * </p>
*
* @Author fengyi
* @Date 2024-11-18
*/
public interface GreenwaveHistoryMapper extends BaseInterfaceMapper<GreenwaveHist> {

    /**
     * 绿波历史指标查询
     * @param params
     * @return
     */
    public List<GreenwaveHist> findStatisticIndex(Map<String,Object> params);

    /**
     * 干线路口查询
     * @param params
     * @return
     */
    List<Map<String,Object>> findGreenCross(Map<String,Object> params);

    /**
     * 查看非协调方向路口指标
     * @return
     */
    List<GreenwaveHist> findUnCoordinateCrossIndex(Map<String,Object> params);

    /**
     * 绿波路口方向级指标查询
     * @param params
     * @return
     */
    List<CrossDirDataHistPO> findGreenWaveCrossDirIndex(Map<String,Object> params);

    /**
     * 绿波路口级指标查询
     * @param params
     * @return
     */
    List<CrossDataHistPO> findGreenWaveCrossIndex(Map<String,Object> params);

}

